class EnvironmentParameter {
  int? id;
  String? name;
  num? index;
  int? activityId;
  String? executeDate;
  bool? status;

  EnvironmentParameter({
    this.id,
    this.name,
    this.index,
    this.activityId,
    this.executeDate,
    this.status,
  });

  EnvironmentParameter.clone(EnvironmentParameter e) {
    this.id = e.id;
    this.name = e.name;
    this.index = e.index;
    this.activityId = e.activityId;
    this.executeDate = e.executeDate;
    this.status = e.status;
  }

  EnvironmentParameter.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    index = json['index'];
    activityId = json['activityId'];
    executeDate = json['executeDate'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['index'] = this.index;
    data['activityId'] = this.activityId;
    data['executeDate'] = this.executeDate;
    data['status'] = this.status;
    return data;
  }
}
